/* NitroShare - A simple network file sharing tool.
   Copyright (C) 2012 Nathan Osman

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>. */

#ifndef CBROADCASTSERVER_H
#define CBROADCASTSERVER_H

#include <QHostAddress>
#include <QMap>
#include <QTimer>
#include <QSystemTrayIcon>
#include <QUdpSocket>

#include <discovery/CMachine.h>

class CBroadcastServer : public QUdpSocket
{
    Q_OBJECT

    public:

        CBroadcastServer();

        void Init();
        QMap<QByteArray, CMachine> GetMachineList() { return m_machines; }

    signals:

        void Message(QString, QSystemTrayIcon::MessageIcon);

    private slots:

        void OnMessage();
        void OnTimer();

    private:

        void UpdateMachineEntry(QByteArray, QHostAddress, quint16, qint64);

        QTimer       m_timer;
        QHostAddress m_broadcast_address;
        qint64       m_start_time;

        QMap<QByteArray, CMachine> m_machines;
};

#endif // CBROADCASTSERVER_H
