/* NitroShare - A simple network file sharing tool.
   Copyright (C) 2012 Nathan Osman

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>. */

#ifndef CFILESENDER_H
#define CFILESENDER_H

#include <QFile>
#include <QStringList>
#include <QSystemTrayIcon>

#include <discovery/CMachine.h>
#include <file/CBasicSocket.h>

class CFileSender : public CBasicSocket
{
    Q_OBJECT

    public:

        enum SendState {
            WaitingForConnection,
            WaitingForResponse,
            WaitingForAck
        };

        CFileSender(QObject *, QString, QStringList);

        void Start(CMachine);

    private slots:

        void OnConnected();
        void OnData(QByteArray);

    private:

        void SendFiles();

        QString     m_hostname;
        QStringList m_filenames;

        SendState m_state;
};

#endif // CFILESENDER_H
