/* NitroShare - A simple network file sharing tool.
   Copyright (C) 2012 Nathan Osman

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>. */

#ifndef CTRAYICON_H
#define CTRAYICON_H

#include <QMenu>
#include <QSystemTrayIcon>

#include <discovery/CBroadcastServer.h>
#include <file/CFileServer.h>

class CTrayIcon : public QSystemTrayIcon
{
    Q_OBJECT

    public:

        CTrayIcon();

    private slots:

        void OnAbout();
        void OnMessage(QString, QSystemTrayIcon::MessageIcon);
        void OnSendFile();
        void OnSettings();
        void OnShowMachineList();

    private:

        void CreateContextMenu();

        CBroadcastServer m_broadcast_server;
        CFileServer      m_file_server;

        QMenu m_pc_menu;

};

#endif // CTRAYICON_H
