/* NitroShare - A simple network file sharing tool.
   Copyright (C) 2012 Nathan Osman

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>. */

#include <QDesktopServices>
#include <QHostInfo>

#include <util/defaults.h>
#include <util/network.h>

QVariantMap Defaults::Map;

void Defaults::Init()
{
    Map["General/MachineName"]            = QHostInfo::localHostName();
    Map["General/ReceivedFilesDirectory"] = QDesktopServices::storageLocation(QDesktopServices::DesktopLocation);
    Map["General/CompressFiles"]          = false;
    Map["General/CalculateChecksum"]      = false;

    Map["Notifications/NewPC"]         = false;
    Map["Notifications/PCQuit"]        = false;
    Map["Notifications/FilesReceived"] = true;
    Map["Notifications/Error"]         = true;

    Map["Security/IncomingPolicy"]  = AcceptPrompt;
    Map["Security/IncomingPattern"] = "";

    Map["Network/Interface"]         = Network::FindUsableInterface();
    Map["Network/BroadcastPort"]     = 41720;
    Map["Network/BroadcastInterval"] = 8000;
    Map["Network/TimeoutInterval"]   = 30;
    Map["Network/TransmissionPort"]  = 41721;
}
